import request from '@/utils/request'

// 查询对话列表列表
export function listConversationChat(query) {
  return request({
    url: '/system/conversationChat/list',
    method: 'get',
    params: query
  })
}

// 查询对话列表详细
export function getConversationChat(id) {
  return request({
    url: '/system/conversationChat/' + id,
    method: 'get'
  })
}

// 设为知识库
export function setknowledgeFile(data) {
  return request({
    url: '/system/conversationChat/setknowledgeFile',
    method: 'put',
    data: data
  })
}

// 详情
export function getConversationChatMsg(id) {
  return request({
    url: '/system/conversationChat/getConversationChatMsg/' + id,
    method: 'get'
  })
}
